Skip to main content
PUT
/
v1
/
connectors
/
{connector_id}
Update a connector
curl --request PUT \
  --url https://api.databar.ai/v1/connectors/{connector_id} \
  --header 'Content-Type: application/json' \
  --header 'x-apikey: <x-apikey>' \
  --data '
{
  "name": "<string>",
  "method": "<string>",
  "url": "<string>",
  "type": "enrichment",
  "headers": [
    {
      "name": "<string>",
      "value": ""
    }
  ],
  "parameters": [
    {
      "name": "<string>",
      "value": ""
    }
  ],
  "body": [
    {
      "name": "<string>",
      "value": ""
    }
  ],
  "body_template": "<string>",
  "rate_limit": 2,
  "max_concurrency": 2
}
'
{
  "id": 123,
  "name": "<string>",
  "type": "<string>",
  "method": "<string>",
  "url": "<string>",
  "headers": [],
  "parameters": [],
  "body": [],
  "body_template": "<string>",
  "rate_limit": 123,
  "max_concurrency": 123,
  "created_at": "<string>"
}

Headers

x-apikey
string
required

API Key for authentication

Path Parameters

connector_id
integer
required

The connector ID

Body

application/json
name
string
required

Display name for the connector

Maximum string length: 256
method
string
required

HTTP method: get, post, put, or patch

url
string
required

Full API endpoint URL (e.g. https://api.example.com/v1/score)

Maximum string length: 512
type
string
default:enrichment

Connector type: simple, enrichment, or exporter

headers
NameValue · object[]

HTTP headers to send with each request

parameters
NameValue · object[]

Query parameters

body
NameValue · object[]

Request body fields

body_template
string | null

Jinja body template. When set, template variables become body params instead of 'body' list.

Maximum string length: 2048
rate_limit
integer | null

Max requests per minute (capped by plan)

Required range: x >= 1
max_concurrency
integer | null

Max concurrent requests (capped by plan)

Required range: x >= 1

Response

Successful Response

id
integer
required
name
string
required
type
string
required
method
string
required
url
string
required
headers
NameValue · object[]
parameters
NameValue · object[]
body
NameValue · object[]
body_template
string | null
rate_limit
integer | null
max_concurrency
integer | null
created_at
string | null